#import "c:\program files\common files\system\ado\msado15.dll" no_namespace rename("EOF","adoEOF")

class ado
{
	/**
	* 带输入参数的查询SQL语句.
	* @param SQL					 - <I> SQL语句
	* @param inputValueCount         - <I> 输入参数数量
	* @param inputValue			     - <I> 输入参数值
	* @param outputColumn			 - <O> 输出表的列的数量
	* @param outputValueCount        - <O> 输出表的行的数量
	* @param outputValue			 - <O> 输出表内容
	* @return - OCI_OK or error code
	*
	*    ORACLE 数据库的连接与封装函数
	*/
public:
	bool open(char* UserName, char* Pwd, const char* CnnStr);
	bool open(char* username, char* password, char* dbname, char* ip);
	bool execute(char * sql);
	int ado::ado_QuerySQL(char *SQL, int inputValueCount, char ** inputValue);
	int ado::ado_QuerySQLNoInputParam(char *SQL);
	int ado::ado_QuerySQL2(char* SQL, int inputValueCount, char** inputValue, int* outputColumn, int* outputValueCount, char**** outputValue);
	int ado::ado_QuerySQLNoInputParam2(char* SQL, int* outputColumn, int* outputValueCount, char**** outputValue);
	bool ado::executeInsert(char* selectSql, char * insertSqll, int result);
	bool execute2(char* selectSql, char * updatesql, int result);
	bool close();
private:
	_ConnectionPtr m_pConnection;
	_RecordsetPtr m_pRecordSet;
	HRESULT hr;
};